Bug 812791 - Bundles several libraries
Bundles several libraries
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: eclipse-mylyn-commons (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Krzysztof Daniel
Fedora Extras Quality Assurance
:
Depends On:
Blocks: DuplicSysLibsTracker
  Show dependency treegraph
 
Reported: 2012-04-16 05:01 EDT by Mikolaj Izdebski
Modified: 2014-01-12 19:26 EST (History)
6 users (show)

See Also:
Fixed In Version: eclipse-mylyn-commons-3.7.0-11.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-25 01:01:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2012-04-16 05:01:56 EDT
eclipse-mylyn-commons is bunding several JARs:
  apache-commons-discovery
  apache-commons-io
  apache-commons-lang
  apache-commons-logging-api
  httpclient
  httpcore
  jaxmeapi
  jaxp
  jdom
  rome-0.9
  ws-commons-util
  xmlrpc3-client
  xmlrpc3-common

From the koji build log it looks like that the symlinks are not created properly.

    [apply] ln: failed to create symbolic link `./apache-commons-discovery.jar': File exists
(and so on)
Comment 1 Krzysztof Daniel 2012-04-16 07:57:50 EDT
Indeed.
$: ls -l | awk '!/org.eclipse.mylyn.*/ { print $9, $10, $11}'
apache-commons-discovery.jar -> /usr/share/java/apache-commons-discovery.jar
apache-commons-io.jar -> /usr/share/java/apache-commons-io.jar
apache-commons-lang.jar -> /usr/share/java/apache-commons-lang.jar
apache-commons-logging-api.jar -> /usr/share/java/apache-commons-logging-api.jar
commons-httpclient.jar -> /usr/share/java/commons-httpclient.jar
com.sun.syndication_0.9.0.v200803061811.jar  
httpclient.jar -> /usr/share/java/httpcomponents/httpclient.jar
httpcore.jar -> /usr/share/java/httpcomponents/httpcore.jar
javax.xml_1.3.4.v200806030440.jar  
javax.xml.bind_2.0.0.v20080604-1500.jar  
jaxmeapi.jar -> /usr/share/java/jaxme/jaxmeapi.jar
jaxp.jar -> /usr/share/java/jaxp.jar
jdom.jar -> /usr/share/java/jdom.jar
json.jar -> /usr/share/java/json.jar
org.apache.commons.codec_1.6.0.jar  
org.apache.commons.httpclient_3.1.0.v20080605-1935.jar  
org.apache.commons.io_2.0.1.jar  
org.apache.commons.lang_2.6.0.jar  
org.apache.commons.logging_1.1.1.v20080605-1930.jar  
org.apache.httpcomponents.httpclient_4.1.3.jar  
org.apache.httpcomponents.httpcore_4.1.4.jar  
org.apache.ws.commons.util_1.0.1.jar  
org.apache.xmlrpc_3.0.0.jar  
org.eclipse.core.runtime.compatibility.auth_3.2.200.v20120319-0200.jar  
org.jdom_1.1.2.jar  
rome-0.9.jar -> /usr/share/java/rome-0.9.jar
ws-commons-util.jar -> /usr/share/java/ws-commons-util.jar
xmlrpc3-client.jar -> /usr/share/java/xmlrpc3-client.jar
xmlrpc3-common.jar -> /usr/share/java/xmlrpc3-common.jar
Comment 2 Fedora Update System 2012-04-19 10:45:06 EDT
eclipse-mylyn-commons-3.7.0-11.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/eclipse-mylyn-commons-3.7.0-11.fc17
Comment 3 Fedora Update System 2012-04-19 22:27:33 EDT
Package eclipse-mylyn-commons-3.7.0-11.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing eclipse-mylyn-commons-3.7.0-11.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6256/eclipse-mylyn-commons-3.7.0-11.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-04-25 01:01:27 EDT
eclipse-mylyn-commons-3.7.0-11.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.